Sino Sino - 6 months ago 11
Linux Question

r-base Impossible to find package

I am trying to install R in my machine ubuntu 14.10
When I type :
sudo apt-get install littler
I got this error:

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet littler


When I type this: sudo apt-get install r-base

I got this error:

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet r-base


Could you please help me to solve this problem.

Thank you very much

Answer

Please do : $ sudo apt-get update && sudo apt-get install r-base littler

If no luck, new links are required in /etc/apt/sources.list

( Ubuntu 14.10 is not supported any more : End of life.)

$ sudo gedit /etc/apt/sources.list

Then replace all text with these 8 new lines :

deb http://old-releases.ubuntu.com/ubuntu/ utopic main restricted
deb http://old-releases.ubuntu.com/ubuntu/ utopic multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ utopic-updates main restricted
deb http://old-releases.ubuntu.com/ubuntu/ utopic-updates multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ utopic-backports main restricted
deb http://old-releases.ubuntu.com/ubuntu/ utopic-backports multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ utopic-security main restricted
deb http://old-releases.ubuntu.com/ubuntu/ utopic-security multiverse universe